Authorized Transaction 0100 -> 0220

Request to make a purchase with a pre-authorization.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Authorization Request

Use the following to build the request.

  1. ) Make a JSON object {} .
  2. ) Add and set the messageType to "0200"
  3. ) Add and set the responseCode to "00"
  4. ). Add and set the transactionType to "00"
  5. ) Add and set the referenceNumber with a valid account.
  6. ) Add and set the expirationMonth as MM.
  7. ) Add and set the expirationYear as YY.
  8. ) Add and set amountTransaction to the amount, in US cents, of how much the transaction will be for. example, if the purchase is $2.50, then type in 250.
  9. ) Add and set the unique token for access.

Transaction request

If the response code is not 00 or 10 then the transaction request is not required, instead you should reverse the authorization described in the "Authorization Reversal" page. If a 00 or 10 responseCode is received from the authorization response, then the transaction to exchange the money can be made.

1.) Change the messageType to 0220.

2.) Add the parameter authorizationIdentificationResponse to the reversal JSON request and set to the authorizationIdentificationResponse from the authorization response (0100) .

3.) The response code should be mirrored from the responseCode (00 or 10).

Query Params
string
required

transaction-post

string
required
Defaults to UUID
string
required

form data or JSON

string

authorization-transaction

Body Params
string
required
string
required
string
required
string
required
string
required

2 digits

string
required

2 digits

string
required
string
required
Defaults to UUID
Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json